VERSION 5.00
Object = "{6532C91C-B193-486C-A3E3-5F125BB733A0}#1.1#0"; "TConnector2D.dll"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4875
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8205
   LinkTopic       =   "Form1"
   ScaleHeight     =   4875
   ScaleWidth      =   8205
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Settings 
      Caption         =   "Settings"
      Height          =   375
      Left            =   120
      TabIndex        =   5
      Top             =   2160
      Width           =   1815
   End
   Begin VB.TextBox Text1 
      Height          =   3735
      Left            =   2160
      MultiLine       =   -1  'True
      TabIndex        =   2
      Top             =   960
      Width           =   5895
   End
   Begin VB.CommandButton StopIt 
      Caption         =   "Stop"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   1560
      Width           =   1815
   End
   Begin VB.CommandButton Start 
      Caption         =   "Start"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   960
      Width           =   1815
   End
   Begin VB.Label Label4 
      BackColor       =   &H8000000E&
      Caption         =   "mailto:support@tec-it.com"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   4440
      Width           =   1935
   End
   Begin VB.Label Label3 
      BackColor       =   &H8000000E&
      Caption         =   "http://www.tec-it.com"
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   4200
      Width           =   1935
   End
   Begin VB.Label Label2 
      Caption         =   "Sample code - how to extract CR/LF from input data stream and use it as terminator string."
      Height          =   255
      Left            =   1440
      TabIndex        =   4
      Top             =   480
      Width           =   6615
   End
   Begin VB.Label Label1 
      BackColor       =   &H8000000E&
      Caption         =   "TConncetor2 ActiveX - Synchronous Mode with Read() method"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   1440
      TabIndex        =   3
      Top             =   120
      Width           =   6615
   End
   Begin TCONNECTOR2LibCtl.TConnector2 TConnector21 
      Left            =   240
      Top             =   120
      IOType          =   3
      Device          =   "COM1"
      Baud            =   "9600"
      Data            =   "8"
      Stop            =   "1"
      Parity          =   "N"
      Host            =   ""
      Service         =   ""
      XOnXOff         =   0   'False
      RTSCTS          =   0   'False
      DTRDSR          =   0   'False
      NoOfBytes       =   350
      Timeout         =   1000
      Timeout_Infinite=   -1  'True
      Delimiter       =   "\x0d\x0a"
      UseDelimiter    =   0   'False
      IncludeDelimiter=   0   'False
      SendKeyStroke   =   0   'False
      Prefix          =   ""
      Postfix         =   ""
      IsOpen          =   0   'False
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim bCancel 'use a global variable to break up the loop

Private Sub Settings_Click()
    TConnector21.PropertyDialog
End Sub

Private Sub Start_Click()
    Dim sBuffer As String      ' received data
    Dim sData As String
    Dim nCount As Long
    Dim nPos As Integer
    
    Text1.Text = Text1.Text & "Started" & vbCrLf
    bCancel = False ' this variable is used to break up the loop when Stop is pressed
    
    TConnector21.Open         ' open device port
    
    While bCancel = False
    
        On Error GoTo Timeout               ' handle timeout exceptions within read()
        
        sData = TConnector21.Read(10, 300)  'try to read 10 Bytes within 300 msec
        
        On Error GoTo 0                     'disable exception handling for other code
        
        ' check if data was read
        If (TConnector21.GetNoOfBytesRead() > 0) Then
        
            ' copy previous data from last read (if there is one)
            sData = sBuffer + sData
            
            ' find CR/LF
            nPos = InStr(1, sData, Chr(13) & Chr(10), vbTextCompare)
            If Not IsNull(nPos) And nPos > 0 Then
                ' CR/LF was found
                ProcessLine Left(sData, nPos - 1) ' do something with the data part in front of the CR/LF characters
                sBuffer = Mid(sData, nPos + 2) 'save remaining data for next iteration
            Else
                sBuffer = sData ' save data for next iteration
            End If
        End If
    
        DoEvents 'necessary to check status of Stop Button (otherwise we can't "break" the loop)
    Wend
    
    Exit Sub
    
Timeout:
    ' in our case we make a loop, so we resume (try again)
    Resume Next
End Sub


Private Sub ProcessLine(sLine As String)
    ' show data
    Text1.Text = Text1.Text & sLine & vbCrLf

End Sub



Private Sub StopIt_Click()
   
    bCancel = True
    
    TConnector21.Close
    Text1.Text = Text1.Text & "Stopped" & vbCrLf
    
    Exit Sub
End Sub

Private Sub Form_Unload(Cancel As Integer)
    TConnector21.Close

End Sub

